/*===========================================================================*/
/*   (Eval/expddo.scm)                                                       */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/expddo.scm -indent -o objs/obj_u/Eval/expddo.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EXPANDER_DO_TYPE_DEFINITIONS
#define BGL___EXPANDER_DO_TYPE_DEFINITIONS
#endif													// BGL___EXPANDER_DO_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_doz00 = BUNSPEC;
	extern obj_t BGl_expandzd2errorzd2zz__expandz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_doz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62expandzd2dozb0zz__expander_doz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_doz00(void);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__expander_doz00(void);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_doz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__expander_doz00(void);
	static obj_t BGl_objectzd2initzd2zz__expander_doz00(void);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2dozd2zz__expander_doz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_doz00(void);
	extern obj_t BGl_evepairifyzd2deepzd2zz__prognz00(obj_t, obj_t);
	static obj_t BGl_symbol1642z00zz__expander_doz00 = BUNSPEC;
	static obj_t BGl_symbol1644z00zz__expander_doz00 = BUNSPEC;
	static obj_t BGl_symbol1646z00zz__expander_doz00 = BUNSPEC;
	static obj_t BGl_symbol1648z00zz__expander_doz00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2dozd2envz00zz__expander_doz00,
		BgL_bgl_za762expandza7d2doza7b1651za7,
		BGl_z62expandzd2dozb0zz__expander_doz00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1638z00zz__expander_doz00,
		BgL_bgl_string1638za700za7za7_1652za7, "do-loop--", 9);
	      BGL_DEFINE_STRING(BGl_string1639z00zz__expander_doz00,
		BgL_bgl_string1639za700za7za7_1653za7, "do", 2);
	      BGL_DEFINE_STRING(BGl_string1640z00zz__expander_doz00,
		BgL_bgl_string1640za700za7za7_1654za7, "Illegal form", 12);
	      BGL_DEFINE_STRING(BGl_string1641z00zz__expander_doz00,
		BgL_bgl_string1641za700za7za7_1655za7, "Illegal form:", 13);
	      BGL_DEFINE_STRING(BGl_string1643z00zz__expander_doz00,
		BgL_bgl_string1643za700za7za7_1656za7, "begin", 5);
	      BGL_DEFINE_STRING(BGl_string1645z00zz__expander_doz00,
		BgL_bgl_string1645za700za7za7_1657za7, "if", 2);
	      BGL_DEFINE_STRING(BGl_string1647z00zz__expander_doz00,
		BgL_bgl_string1647za700za7za7_1658za7, "lambda", 6);
	      BGL_DEFINE_STRING(BGl_string1649z00zz__expander_doz00,
		BgL_bgl_string1649za700za7za7_1659za7, "letrec", 6);
	      BGL_DEFINE_STRING(BGl_string1650z00zz__expander_doz00,
		BgL_bgl_string1650za700za7za7_1660za7, "__expander_do", 13);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_STRING(BGl_string1650z00zz__expander_doz00,
			BgL_bgl_string1650za700za7za7_1660za7);
		BGL_BIND_STRING(BGl_string1649z00zz__expander_doz00,
			BgL_bgl_string1649za700za7za7_1659za7);
		BGL_BIND_STRING(BGl_string1647z00zz__expander_doz00,
			BgL_bgl_string1647za700za7za7_1658za7);
		BGL_BIND_STRING(BGl_string1645z00zz__expander_doz00,
			BgL_bgl_string1645za700za7za7_1657za7);
		BGL_BIND_STRING(BGl_string1643z00zz__expander_doz00,
			BgL_bgl_string1643za700za7za7_1656za7);
		BGL_BIND_STRING(BGl_string1641z00zz__expander_doz00,
			BgL_bgl_string1641za700za7za7_1655za7);
		BGL_BIND_STRING(BGl_string1640z00zz__expander_doz00,
			BgL_bgl_string1640za700za7za7_1654za7);
		BGL_BIND_STRING(BGl_string1639z00zz__expander_doz00,
			BgL_bgl_string1639za700za7za7_1653za7);
		BGL_BIND_STRING(BGl_string1638z00zz__expander_doz00,
			BgL_bgl_string1638za700za7za7_1652za7);
		BGL_BIND_PROCEDURE(BGl_expandzd2dozd2envz00zz__expander_doz00,
			BgL_bgl_za762expandza7d2doza7b1651za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__expander_doz00));
		ADD_ROOT((void *) (&BGl_symbol1642z00zz__expander_doz00));
		ADD_ROOT((void *) (&BGl_symbol1644z00zz__expander_doz00));
		ADD_ROOT((void *) (&BGl_symbol1646z00zz__expander_doz00));
		ADD_ROOT((void *) (&BGl_symbol1648z00zz__expander_doz00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__expander_doz00(long
		BgL_checksumz00_1825, char *BgL_fromz00_1826)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_doz00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_doz00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__expander_doz00();
					BGl_cnstzd2initzd2zz__expander_doz00();
					BGl_importedzd2moduleszd2initz00zz__expander_doz00();
					return BGl_methodzd2initzd2zz__expander_doz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_doz00(void)
	{
		{	/* Eval/expddo.scm 14 */
			BGl_symbol1642z00zz__expander_doz00 =
				bstring_to_symbol(BGl_string1643z00zz__expander_doz00);
			BGl_symbol1644z00zz__expander_doz00 =
				bstring_to_symbol(BGl_string1645z00zz__expander_doz00);
			BGl_symbol1646z00zz__expander_doz00 =
				bstring_to_symbol(BGl_string1647z00zz__expander_doz00);
			return (BGl_symbol1648z00zz__expander_doz00 =
				bstring_to_symbol(BGl_string1649z00zz__expander_doz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__expander_doz00(void)
	{
		{	/* Eval/expddo.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* expand-do */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2dozd2zz__expander_doz00(obj_t
		BgL_expz00_3, obj_t BgL_ez00_4)
	{
		{	/* Eval/expddo.scm 61 */
			{
				obj_t BgL_bindingsz00_1122;
				obj_t BgL_endz00_1123;
				obj_t BgL_commandz00_1124;

				if (PAIRP(BgL_expz00_3))
					{	/* Eval/expddo.scm 62 */
						obj_t BgL_cdrzd2111zd2_1129;

						BgL_cdrzd2111zd2_1129 = CDR(((obj_t) BgL_expz00_3));
						if (PAIRP(BgL_cdrzd2111zd2_1129))
							{	/* Eval/expddo.scm 62 */
								obj_t BgL_cdrzd2116zd2_1131;

								BgL_cdrzd2116zd2_1131 = CDR(BgL_cdrzd2111zd2_1129);
								if (PAIRP(BgL_cdrzd2116zd2_1131))
									{	/* Eval/expddo.scm 62 */
										BgL_bindingsz00_1122 = CAR(BgL_cdrzd2111zd2_1129);
										BgL_endz00_1123 = CAR(BgL_cdrzd2116zd2_1131);
										BgL_commandz00_1124 = CDR(BgL_cdrzd2116zd2_1131);
										{	/* Eval/expddo.scm 64 */
											obj_t BgL_varsz00_1137;

											BgL_varsz00_1137 = BNIL;
											{	/* Eval/expddo.scm 65 */
												obj_t BgL_initsz00_1138;

												BgL_initsz00_1138 = BNIL;
												{	/* Eval/expddo.scm 66 */
													obj_t BgL_stepsz00_1139;

													BgL_stepsz00_1139 = BNIL;
													{	/* Eval/expddo.scm 67 */
														obj_t BgL_loopz00_1140;

														BgL_loopz00_1140 =
															BGl_gensymz00zz__r4_symbols_6_4z00
															(BGl_string1638z00zz__expander_doz00);
														{	/* Eval/expddo.scm 68 */
															obj_t BgL_testz00_1141;

															if (PAIRP(BgL_endz00_1123))
																{	/* Eval/expddo.scm 69 */
																	BgL_testz00_1141 = CAR(BgL_endz00_1123);
																}
															else
																{	/* Eval/expddo.scm 69 */
																	BgL_testz00_1141 =
																		BGl_expandzd2errorzd2zz__expandz00
																		(BGl_string1639z00zz__expander_doz00,
																		BGl_string1640z00zz__expander_doz00,
																		BgL_expz00_3);
																}
															{	/* Eval/expddo.scm 69 */
																obj_t BgL_endingz00_1142;

																if (NULLP(CDR(((obj_t) BgL_endz00_1123))))
																	{	/* Eval/expddo.scm 73 */
																		obj_t BgL_list1256z00_1189;

																		BgL_list1256z00_1189 =
																			MAKE_YOUNG_PAIR(BFALSE, BNIL);
																		BgL_endingz00_1142 = BgL_list1256z00_1189;
																	}
																else
																	{	/* Eval/expddo.scm 72 */
																		BgL_endingz00_1142 =
																			CDR(((obj_t) BgL_endz00_1123));
																	}
																{	/* Eval/expddo.scm 75 */

																	{	/* Eval/expddo.scm 76 */
																		obj_t BgL_g1082z00_1144;

																		BgL_g1082z00_1144 =
																			bgl_reverse(BgL_bindingsz00_1122);
																		{
																			obj_t BgL_l1080z00_1146;

																			BgL_l1080z00_1146 = BgL_g1082z00_1144;
																		BgL_zc3z04anonymousza31193ze3z87_1147:
																			if (PAIRP(BgL_l1080z00_1146))
																				{	/* Eval/expddo.scm 89 */
																					{	/* Eval/expddo.scm 78 */
																						obj_t BgL_varzd2initzd2stepz00_1149;

																						BgL_varzd2initzd2stepz00_1149 =
																							CAR(BgL_l1080z00_1146);
																						{	/* Eval/expddo.scm 78 */
																							bool_t BgL_test1668z00_1865;

																							if (
																								(bgl_list_length
																									(BgL_varzd2initzd2stepz00_1149)
																									>= 2L))
																								{	/* Eval/expddo.scm 78 */
																									BgL_test1668z00_1865 =
																										(bgl_list_length
																										(BgL_varzd2initzd2stepz00_1149)
																										<= 3L);
																								}
																							else
																								{	/* Eval/expddo.scm 78 */
																									BgL_test1668z00_1865 =
																										((bool_t) 0);
																								}
																							if (BgL_test1668z00_1865)
																								{	/* Eval/expddo.scm 80 */
																									obj_t BgL_varz00_1155;

																									BgL_varz00_1155 =
																										CAR(
																										((obj_t)
																											BgL_varzd2initzd2stepz00_1149));
																									{	/* Eval/expddo.scm 80 */
																										obj_t BgL_initz00_1156;

																										{	/* Eval/expddo.scm 81 */
																											obj_t BgL_pairz00_1620;

																											BgL_pairz00_1620 =
																												CDR(
																												((obj_t)
																													BgL_varzd2initzd2stepz00_1149));
																											BgL_initz00_1156 =
																												CAR(BgL_pairz00_1620);
																										}
																										{	/* Eval/expddo.scm 81 */
																											obj_t BgL_stepz00_1157;

																											{	/* Eval/expddo.scm 82 */
																												bool_t
																													BgL_test1670z00_1876;
																												{	/* Eval/expddo.scm 82 */
																													obj_t BgL_tmpz00_1877;

																													{	/* Eval/expddo.scm 82 */
																														obj_t
																															BgL_pairz00_1624;
																														BgL_pairz00_1624 =
																															CDR(((obj_t)
																																BgL_varzd2initzd2stepz00_1149));
																														BgL_tmpz00_1877 =
																															CDR
																															(BgL_pairz00_1624);
																													}
																													BgL_test1670z00_1876 =
																														NULLP
																														(BgL_tmpz00_1877);
																												}
																												if (BgL_test1670z00_1876)
																													{	/* Eval/expddo.scm 82 */
																														BgL_stepz00_1157 =
																															BgL_varz00_1155;
																													}
																												else
																													{	/* Eval/expddo.scm 83 */
																														obj_t
																															BgL_pairz00_1629;
																														{	/* Eval/expddo.scm 83 */
																															obj_t
																																BgL_pairz00_1628;
																															BgL_pairz00_1628 =
																																CDR(((obj_t)
																																	BgL_varzd2initzd2stepz00_1149));
																															BgL_pairz00_1629 =
																																CDR
																																(BgL_pairz00_1628);
																														}
																														BgL_stepz00_1157 =
																															CAR
																															(BgL_pairz00_1629);
																													}
																											}
																											{	/* Eval/expddo.scm 82 */

																												BgL_varsz00_1137 =
																													MAKE_YOUNG_PAIR
																													(BgL_varz00_1155,
																													BgL_varsz00_1137);
																												BgL_stepsz00_1139 =
																													MAKE_YOUNG_PAIR
																													(BgL_stepz00_1157,
																													BgL_stepsz00_1139);
																												BgL_initsz00_1138 =
																													MAKE_YOUNG_PAIR
																													(BgL_initz00_1156,
																													BgL_initsz00_1138);
																											}
																										}
																									}
																								}
																							else
																								{	/* Eval/expddo.scm 78 */
																									BGl_expandzd2errorzd2zz__expandz00
																										(BGl_string1639z00zz__expander_doz00,
																										BGl_string1641z00zz__expander_doz00,
																										BgL_varzd2initzd2stepz00_1149);
																								}
																						}
																					}
																					{
																						obj_t BgL_l1080z00_1890;

																						BgL_l1080z00_1890 =
																							CDR(BgL_l1080z00_1146);
																						BgL_l1080z00_1146 =
																							BgL_l1080z00_1890;
																						goto
																							BgL_zc3z04anonymousza31193ze3z87_1147;
																					}
																				}
																			else
																				{	/* Eval/expddo.scm 89 */
																					((bool_t) 1);
																				}
																		}
																	}
																	{	/* Eval/expddo.scm 93 */
																		obj_t BgL_arg1215z00_1167;

																		{	/* Eval/expddo.scm 93 */
																			obj_t BgL_arg1216z00_1168;

																			{	/* Eval/expddo.scm 93 */
																				obj_t BgL_arg1217z00_1169;

																				{	/* Eval/expddo.scm 93 */
																					obj_t BgL_arg1219z00_1170;
																					obj_t BgL_arg1224z00_1171;

																					{	/* Eval/expddo.scm 93 */
																						obj_t BgL_arg1225z00_1172;

																						{	/* Eval/expddo.scm 93 */
																							obj_t BgL_arg1226z00_1173;

																							{	/* Eval/expddo.scm 93 */
																								obj_t BgL_arg1230z00_1174;

																								{	/* Eval/expddo.scm 93 */
																									obj_t BgL_arg1231z00_1175;

																									{	/* Eval/expddo.scm 93 */
																										obj_t BgL_arg1232z00_1176;

																										{	/* Eval/expddo.scm 93 */
																											obj_t BgL_arg1234z00_1177;

																											{	/* Eval/expddo.scm 93 */
																												obj_t
																													BgL_arg1235z00_1178;
																												{	/* Eval/expddo.scm 93 */
																													obj_t
																														BgL_arg1236z00_1179;
																													{	/* Eval/expddo.scm 93 */
																														obj_t
																															BgL_arg1239z00_1180;
																														obj_t
																															BgL_arg1241z00_1181;
																														BgL_arg1239z00_1180
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_symbol1642z00zz__expander_doz00,
																															BgL_endingz00_1142);
																														{	/* Eval/expddo.scm 94 */
																															obj_t
																																BgL_arg1242z00_1182;
																															{	/* Eval/expddo.scm 94 */
																																obj_t
																																	BgL_arg1248z00_1183;
																																{	/* Eval/expddo.scm 94 */
																																	obj_t
																																		BgL_arg1249z00_1184;
																																	{	/* Eval/expddo.scm 94 */
																																		obj_t
																																			BgL_arg1252z00_1185;
																																		BgL_arg1252z00_1185
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_loopz00_1140,
																																			BgL_stepsz00_1139);
																																		BgL_arg1249z00_1184
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1252z00_1185,
																																			BNIL);
																																	}
																																	BgL_arg1248z00_1183
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_commandz00_1124,
																																		BgL_arg1249z00_1184);
																																}
																																BgL_arg1242z00_1182
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_symbol1642z00zz__expander_doz00,
																																	BgL_arg1248z00_1183);
																															}
																															BgL_arg1241z00_1181
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1242z00_1182,
																																BNIL);
																														}
																														BgL_arg1236z00_1179
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1239z00_1180,
																															BgL_arg1241z00_1181);
																													}
																													BgL_arg1235z00_1178 =
																														MAKE_YOUNG_PAIR
																														(BgL_testz00_1141,
																														BgL_arg1236z00_1179);
																												}
																												BgL_arg1234z00_1177 =
																													MAKE_YOUNG_PAIR
																													(BGl_symbol1644z00zz__expander_doz00,
																													BgL_arg1235z00_1178);
																											}
																											BgL_arg1232z00_1176 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1234z00_1177,
																												BNIL);
																										}
																										BgL_arg1231z00_1175 =
																											MAKE_YOUNG_PAIR
																											(BgL_varsz00_1137,
																											BgL_arg1232z00_1176);
																									}
																									BgL_arg1230z00_1174 =
																										MAKE_YOUNG_PAIR
																										(BGl_symbol1646z00zz__expander_doz00,
																										BgL_arg1231z00_1175);
																								}
																								BgL_arg1226z00_1173 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1230z00_1174, BNIL);
																							}
																							BgL_arg1225z00_1172 =
																								MAKE_YOUNG_PAIR
																								(BgL_loopz00_1140,
																								BgL_arg1226z00_1173);
																						}
																						BgL_arg1219z00_1170 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1225z00_1172, BNIL);
																					}
																					{	/* Eval/expddo.scm 95 */
																						obj_t BgL_arg1253z00_1186;

																						BgL_arg1253z00_1186 =
																							MAKE_YOUNG_PAIR(BgL_loopz00_1140,
																							BgL_initsz00_1138);
																						BgL_arg1224z00_1171 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1253z00_1186, BNIL);
																					}
																					BgL_arg1217z00_1169 =
																						MAKE_YOUNG_PAIR(BgL_arg1219z00_1170,
																						BgL_arg1224z00_1171);
																				}
																				BgL_arg1216z00_1168 =
																					MAKE_YOUNG_PAIR
																					(BGl_symbol1648z00zz__expander_doz00,
																					BgL_arg1217z00_1169);
																			}
																			BgL_arg1215z00_1167 =
																				BGl_evepairifyzd2deepzd2zz__prognz00
																				(BgL_arg1216z00_1168, BgL_expz00_3);
																		}
																		return
																			BGL_PROCEDURE_CALL2(BgL_ez00_4,
																			BgL_arg1215z00_1167, BgL_ez00_4);
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Eval/expddo.scm 62 */
										return
											BGl_expandzd2errorzd2zz__expandz00
											(BGl_string1639z00zz__expander_doz00,
											BGl_string1640z00zz__expander_doz00, BgL_expz00_3);
									}
							}
						else
							{	/* Eval/expddo.scm 62 */
								return
									BGl_expandzd2errorzd2zz__expandz00
									(BGl_string1639z00zz__expander_doz00,
									BGl_string1640z00zz__expander_doz00, BgL_expz00_3);
							}
					}
				else
					{	/* Eval/expddo.scm 62 */
						return
							BGl_expandzd2errorzd2zz__expandz00
							(BGl_string1639z00zz__expander_doz00,
							BGl_string1640z00zz__expander_doz00, BgL_expz00_3);
					}
			}
		}

	}



/* &expand-do */
	obj_t BGl_z62expandzd2dozb0zz__expander_doz00(obj_t BgL_envz00_1818,
		obj_t BgL_expz00_1819, obj_t BgL_ez00_1820)
	{
		{	/* Eval/expddo.scm 61 */
			return
				BGl_expandzd2dozd2zz__expander_doz00(BgL_expz00_1819, BgL_ez00_1820);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__expander_doz00(void)
	{
		{	/* Eval/expddo.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__expander_doz00(void)
	{
		{	/* Eval/expddo.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_doz00(void)
	{
		{	/* Eval/expddo.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_doz00(void)
	{
		{	/* Eval/expddo.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(289561787L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(26840973L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(457511469L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(362050511L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
			return BGl_modulezd2initializa7ationz75zz__prognz00(177147622L,
				BSTRING_TO_STRING(BGl_string1650z00zz__expander_doz00));
		}

	}

#ifdef __cplusplus
}
#endif
